Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ManagedDoubleKeyMap.Entry<K1,K2,V>

    java.lang.Object
      org.codehaus.groovy.util.ManagedDoubleKeyMap.Entry<K1,K2,V>

Enclosing class:
  ManagedDoubleKeyMap<K1,K2,V>

    public static class ManagedDoubleKeyMap.Entry<K1,K2,V>
    extends Object

Constructor Summary
Constructor and Description
`ManagedDoubleKeyMap.Entry(ReferenceBundle bundle, K1 key1, K2 key2, int hash, org.codehaus.groovy.util.ManagedDoubleKeyMap.Segment segment)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `clean()`
`int` | `getHash()`
`V` | `getValue()`
`boolean` | `isEqual(K1 key1, K2 key2, int hash)`
`boolean` | `isValid()`
`void` | `setValue(V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedDoubleKeyMap.Entry

    public ManagedDoubleKeyMap.Entry(ReferenceBundle bundle,
                                     K1 key1,
                                     K2 key2,
                                     int hash,
                                     org.codehaus.groovy.util.ManagedDoubleKeyMap.Segment segment)

Method Detail

### isValid

    public boolean isValid()

### isEqual

    public boolean isEqual(K1 key1,
                           K2 key2,
                           int hash)

### getValue

    public V getValue()

### setValue

    public void setValue(V value)

### getHash

    public int getHash()

### clean

    public void clean()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD